Bug 23197 - Add more batch operation options to SQL report results
Summary: Add more batch operation options to SQL report results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 19233
Blocks: 23205 23206
  Show dependency treegraph
 
Reported: 2019-06-24 18:27 UTC by Owen Leonard
Modified: 2019-08-06 13:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Screenshot showing updated interface (13.37 KB, image/png)
2019-06-24 18:27 UTC, Owen Leonard
Details
Bug 23197: Add more batch operation options to SQL report results (12.27 KB, patch)
2019-06-25 14:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23197: Add more batch operation options to SQL report results (12.32 KB, patch)
2019-07-05 21:05 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23197: Add more batch operation options to SQL report results (12.39 KB, patch)
2019-07-06 09:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-24 18:27:15 UTC
Created attachment 90971 [details]
Screenshot showing updated interface

I propose to extend the functionality added by Bug 19233 so that one can send report results to the following operations:

 - Batch record deletion (with biblionumbers)
 - Batch record modification (with biblionumbers)
 - Batch item modification (with itemnumbers, currently the only option)
 - Batch item deletion

Note that this change is still a template-only solution, so the batch operations will only get data contained in the first page of report results. The column names must be "biblionumber" and/or "itemnumber" in order for the feature to work.
Comment 1 Owen Leonard 2019-06-25 14:48:19 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-07-05 21:05:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-07-06 09:18:55 UTC
Created attachment 91386 [details] [review]
Bug 23197: Add more batch operation options to SQL report results

This patch extends the feature which allows the user to send item
numbers from a page of report results to batch item modification. For
biblionumbers: Batch record modification, batch record deletion, and
add to list are now available. For item numbers: batch item deletion is
added.

A new menu button is added for these options at the top of report
results, removing the button from the item number column header.
Corresponding CSS has been removed.

To test, apply the patch and create a report which includes both
biblionumber and itemnumber columns in the results.

 - Run the report and confirm that a new "Batch operations" button
   appears at the top of the results. Test each option:
   - Batch record modification
   - Batch record deletion
   - Add to list
   - Batch item modification
   - Batch item deletion

In each case the correct set of parameters should be passed to the batch
operations. Test with reports which return only biblionumbers, only
itemnumbers, and neither.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-07-15 11:22:12 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-06 13:11:39 UTC
Enhancement not pushed to 19.05.x